Subject: bug#50629: 28.0.50; hard to debug an uncaught error with ert

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Aug 2022 12:03:07 +0200

Gerd Möllmann <[email-masked]> writes:

> Interestingly with condition-case-unless I get one less error with make
> check:

Are you sure you removed all the .elc files under test first?  Since
this is a change in an ert macro, you have to do that to get meaningful
results.

Anyway, that condition-case is presumably there to allow checking for
failures?  I.e., the :expected stuff.

Instead of altering removing the condition-case there, wouldn't it be
possible to output the backtrace explicitly in the handler?